Skip to content

service map



GET /api/v1/tracing/service_map_v2

Overview

Includes topological relationships and statistical data.

Query Request Parameters

Parameter Name Type Required Description
workspaceUUID string Y Workspace ID
start integer Y Start time, unit ms
end integer Y End time, unit ms
search string Service name filter
filters string Tag filter, consistent with the es querydata interface
isServiceSub boolean Whether it is service_sub
serviceMapList boolean Whether to list the service topology call relationship list
showOnlyMatches boolean Whether to only display services matching the current search or filter conditions

Parameter Supplementary Description

Example of filters:

{
    "tags": [
        {
            "name": "__tags.__isError.keyword",
            "value": [
                "true"
            ],
            "operation": "=",
            "condition": "and"
        },
        {
            "condition": "and",
            "name": "__tags.__serviceName",
            "operation": "=~",
            "value": [
                ".*04.*"
            ]
        }
    ]
}

Response


Feedback

Is this page helpful? ×